services:
  syncthing:
    container_name: syncthing
    image: lscr.io/linuxserver/syncthing:latest
    environment:
      - PUID=${PUID}
      - PGID=${PGID}
      - TZ=${TZ}
    networks:
      - reverse-proxy
    ports:
      - 8384:8384
      - 22000:22000/tcp
      - 22000:22000/udp
      - 21027:21027/udp
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/syncthing/config:/config
      - /mnt/laptoppc/storage:/storage

networks:
  reverse-proxy:
    external: true
